Introduction

InfraRecorder
Introduction

Welcome

Thank you for installing InfraRecorder! InfraRecorder is a free CD burning solution for Microsoft Windows.

Quick Navigation

Feature Overview
License Agreement
System Requirements
Quick Start
Copyright
Acknowledgments
What's New
Installation


Feature Overview

InfraRecorder
Feature Overview

This page lists the most essential features of InfraRecorder.

Main Features

  • Create custom data, music and mixed-mode projects and record them to physical compact discs or disc images.
  • Create and record disc images.
  • Create direct disc copies, on the fly or by using a temporary disc image.
  • Erase (blank) rewritable discs using four different methods.
  • Import session data from multi-session discs and append more sessions to that kind of discs.
  • Close discs (write lead-out information to prevent further data from beeing added to the disc).
  • Scan the SCSI/IDE bus for devices and collect detailed information about their capabilities.
  • Display detailed disc information.
  • Read and save audio and data tracks to files (wav. and .iso)
  • Scan selected tracks for errors.

Environment

  • Modern customizable Windows Explorer like interface.
  • Drag and drop files from the explorer view of the program and Windows Explorer to the project view.
  • Uses different poject view layouts for different type of projects to make the users work easier.
  • Features a separate express application designed to guide the user to the most essential tools as quick and easy as possible.
  • Fully translatable interfaces for the main application, express application and the shell extension.

Explorer Integration

Integrates with explorer and adds new shell context menu options.

  • Record saved projects and disc images.
  • Open and edit saved projects.
  • Highly customizable, can be displayed in a submenu and with or without menu icons.
  • The shell extension can be registered with any file extension that the user wants.


License Agreement

InfraRecorder
License Agreement

GNU GENERAL PUBLIC LICENSE

Version 3, 29 June 2007

Copyright © 2007 Free Software Foundation, Inc. <http://fsf.org/>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

Preamble

The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.

The precise terms and conditions for copying, distribution and modification follow.

TERMS AND CONDITIONS

0. Definitions.

“This License” refers to version 3 of the GNU General Public License.

“Copyright” also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.

“The Program” refers to any copyrightable work licensed under this License. Each licensee is addressed as “you”. “Licensees” and “recipients” may be individuals or organizations.

To “modify” a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a “modified version” of the earlier work or a work “based on” the earlier work.

A “covered work” means either the unmodified Program or a work based on the Program.

To “propagate” a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.

To “convey” a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays “Appropriate Legal Notices” to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.

1. Source Code.

The “source code” for a work means the preferred form of the work for making modifications to it. “Object code” means any non-source form of a work.

A “Standard Interface” means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The “System Libraries” of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A “Major Component”, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The “Corresponding Source” for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.

2. Basic Permissions.

All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.

3. Protecting Users' Legal Rights From Anti-Circumvention Law.

No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.

4. Conveying Verbatim Copies.

You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.

5. Conveying Modified Source Versions.

You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

  • a) The work must carry prominent notices stating that you modified it, and giving a relevant date.
  • b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to “keep intact all notices”.
  • c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.
  • d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.

A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an “aggregate” if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.

6. Conveying Non-Source Forms.

You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:

  • a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.
  • b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.
  • c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.
  • d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.
  • e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A “User Product” is either (1) a “consumer product”, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, “normally used” refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.

“Installation Information” for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.

7. Additional Terms.

“Additional permissions” are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

  • a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or
  • b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or
  • c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or
  • d) Limiting the use for publicity purposes of names of licensors or authors of the material; or
  • e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or
  • f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.

All other non-permissive additional terms are considered “further restrictions” within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.

8. Termination.

You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.

9. Acceptance Not Required for Having Copies.

You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.

10. Automatic Licensing of Downstream Recipients.

Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An “entity transaction” is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.

11. Patents.

A “contributor” is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's “contributor version”.

A contributor's “essential patent claims” are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, “control” includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a “patent license” is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To “grant” such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. “Knowingly relying” means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is “discriminatory” if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.

12. No Surrender of Others' Freedom.

If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.

13. Use with the GNU Affero General Public License.

Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.

14. Revised Versions of this License.

The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License “or any later version” applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.

15. Disclaimer of Warranty.

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. Limitation of Liability.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

17. Interpretation of Sections 15 and 16.

If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.

END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Programs

If you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.

To do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the “copyright” line and a pointer to where the full notice is found.

    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

Also add information on how to contact you by electronic and paper mail.

If the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:

    <program>  Copyright (C) <year>  <name of author>

    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an “about box”.

You should also get your employer (if you work as a programmer) or school, if any, to sign a “copyright disclaimer” for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.

The GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>.


System Requirements

InfraRecorder
System Requirements

InfraRecorder has the following system requirements:

  • Windows 98 with Internet Explorer 5.0 or newer.
  • 32 MiB RAM.
  • 8.1 MiB of available hard disk space.


Quick Start

InfraRecorder
Quick Start

How to Use?

Getting Started
Multi-Session Discs
Copy Data Discs
Copy Audio Discs
Erase Rewritable Discs
View Disc Information
Configure Devices


Copyright

InfraRecorder
Copyright

InfraRecorder copyright © 2006-2009 Christian Kindahl.

InfraRecorder works in co-operation with the following software:

  • cdrecord © 1995-2006 Jörg Schilling.
  • readcd © 1987, 1995-2006 Jörg Schilling.
  • cdda2wav by Project MODE, Fraunhofer Institut für integrierte Schaltungen.


Acknowledgments

InfraRecorder
Acknowledgments

InfraRecorder uses icons and derivate work based on the icons in the Tango Icon Project. The derivative work based on the Tango Icons can be separateley downloaded (under the Creative Commons Attribution Share-Alike license) from the official InfraRecorder website.


What's New

InfraRecorder
What's New?

Version 0.50.0.0

  • Relaxed default project ISO9660 settings.
  • Made progress dialogs resizable for easier reading.
  • Added wait cursors to time consuming operations.
  • Fixed bug causing failed operations to sometimes be reporeted as successful.
  • Fixed bug causing an error when verifying discs containing single character file or directory names.
  • Updated cdrtools to version 2.01.01a61.
  • Added support for displaying BluRay and HD-DVD capabilities.
  • Displayed OK button problem should now be gone.
  • Greatly improved device detection speed, devices are now always probed at startup.
  • Fixed a bug preventing boot images from being removed from projects.
  • Updated InfraRecorder projects not to store file size information that potentially could cause write errors.
  • Added safety net preventing non-recoverable read errors to affect integrity of other files during recording operation.
  • Updated InfraRecorder to lock files on hard drive during file system creation in order to avoid inconsistency errors.
  • Added support for importing data from file lists like M3U.
  • Added command line options for selecting default project and media type.
  • Fixed a bug causing projects opened by association not to be loaded if welcome screen was enabled.
  • Added support for using Ctrl+A in the track secion to select all tracks.
  • The drive letter is now displayed with the name of all CD/DVD devices.
  • Renamed disc fixation to disc closing.
  • Fixed bugs related to drive letter detection.

Version 0.46.2.0

  • Fixed a bug causing the disc file system creation process to hang on some systems (for real this time).
  • Fixed a bug causing a custom temporary directory not to be used.
  • Fixed a start-up maximization bug.

Version 0.46.1.0

  • Fixed a bug causing the disc file system creation process to hang on some systems.

Version 0.46.0.0

  • Minor bugfixes and updates.
  • Added support for recording multiple copies.
  • Added a welcome screen to the InfraRecorder main application and removed the express application.
  • Solved a bug causing the OK button not to be enabled after erasing or formatting a disc.
  • Moved all source code to GPL version 3.
  • Removed cdrtools binaries in favor of cdrkit binaries.
  • Improved device detection routines, there should not be any more problems with wrongly detected drive letters.
  • Included an Indonesian translation, thanks to Andhika Padmawan!
  • Included a Chuvash translation, thanks to Vladimir Kozhevnikov!
  • Fixed a bug causing the express application and shell extension not to be translated.
  • Updated the portable version of InfraRecorder to store its log files in the program directory instead of in the the application data folder.

Version 0.45.0.0

  • Updated cdrtools to version 2.01.01a38.
  • Fixed a bug making InfraRecorder crash when trying to move a folder to itself.
  • Fixed a bug causing the wrong folder to be opened when double-clicking in the project list view when a project contained folders with identical names.
  • Fixed a bug causing the focus not to be returned to the OK button in the progress dialog after performing an operation.
  • Fixed icon rendering error on Windows XP and newer where display depth is lower than 32-bits.
  • Changed the option to verify the device configuration at start up to be enabled by default.
  • Added support for associating InfraRecorder with disc images.
  • Updated the some of the dialog windows to be minimizable and visible on the task bar when launced by an external application (like irExpress).
  • Fixed a bug causing incorrect file names to be used when verifying recorded discs.
  • Added functionallity to rename and remove files from imported sessions.
  • Added support for selecting which multi-session track to import.
  • When trying to record to a non-empty rewritable disc, InfraRecorder now asks if the disc should be erased.
  • When performing an operation the progress is now also displayed in the taskbar.
  • Reduced memory usage when dealing with projects.
  • Fixed a bug making it impossible to open saved projects containing no files.
  • Included a Thai translation, thanks to Prasit Kaephukhieo!
  • Improved compatibility with the ISO9660 standard.
  • Added support for creating UDF-only file systems.
  • Added support for Unicode files names in Joliet extension and UDF file system.
  • Added support for fragmented files in ISO9660 level 3. Files larger than 4 GiB can now be recorded to an ISO9660 file system.
  • Removed mkisofs and isoinfo dependencies.
  • Fixed some bugs related to importing disc sessions.
  • Added properties menu item when right-clicking on the project tree root node.
  • Added proper flagging of hidden files in the disc file system.
  • Changed the default write method for multi-session projects to TAO.
  • Fixed a bug causing InfraRecorder to crash when renaming project files to include slash or backslash characters.
  • Added the .img extension to the list of supported disc image extensions.
  • A few cosmetic changes.
  • Included an Arabic translation, thanks to Circoficus!
  • Included a Greek translation, thanks to ÓôáìÜôéïò Ç. ÓôáìáôÝëëïò!

Version 0.44.1.0

  • Introduced alternate ways of fetching recorder write speeds. This solves the "disabled OK button problem".
  • Added support for reloading laptop drives (drives that can not automatically load themselves) before starting the disc verification process.
  • Corrected a version display error in the log system.

Version 0.44.0.0

  • Added a warning message when disabling disc fixation since some users believes that this will create a multi-session disc.
  • It's now possible to perform a disc copy using the same device as source and target.
  • Updated drive speed detection routines, it should now detect correct speeds depeding on the inserted media.
  • Improved the media removal/insertion auto detection routines.
  • Added support for switching through the controls of the main view using the tab key.
  • Fixed a bug causing InfraRecorder to crash on Windows 9x systems when changing folder in the explorer view.
  • Added menu items for selecting all files and inverting the file selection.
  • Fixed a bug causing negative progress to be displayed in some cases.
  • Updated InfraRecorder to correctly maximize on startup, if closed maximized.
  • Added a website button to the about window.
  • Fixed a project file rename bug.
  • Made the toolbar customizable in several ways.
  • Improved project file handling, no duplicate files or folders are allowed.
  • The program configuration is now stored in the application data folder. A new portable version of InfraRecorder has been created where data is stored in the program folder.
  • Greatly improved drag and drop functionality.
  • Included a Norwegian translation, thanks to Karol Ptasinski!
  • Updated the help file with index and search capabilities.
  • Fixed a bug causing InfraRecorder to try to verify files that where imported from previous sessions.
  • Fixed a bug causing the disc to be ejected (if requested) before starting the disc verification process.
  • Fixed a bug causing incompatibility with Windows 9x systems due to a function call to SHGetFolderPathA.

Version 0.43.1.0

  • Updated the cdrtools to version 2.01.01a26.
  • Included a Finnish translation, thanks to Rami Aalto!
  • Removed the error message related to ckEffects.exe.
  • Improved the erase feature with support for more recorders.
  • Fixed a bug causing the size and position of the main window not to be remembered.
  • Fixed a bug causing the explorer view to turn white when double-clicking on a folder in the explorer list view (Windows XP only).
  • Improved the program log functionality.
  • Fixed a bug making it impossible to import sessions from certain disc types.
  • Improved the explorer view performance. Expanding anything under "My Computer" in the tree could on some systems result in a long delay because of slow queries to floppy drives.

Version 0.43.0.0

  • Fixed a bug raising an exception when re-ordering audio tracks.
  • Added a smoke effect when writing to a disc (requires Windows Vista Aero to be enabled).
  • Fixed a few bugs causing wrong disc information to be shown in the disc information window.
  • Various adaptations for Windows Vista.
  • Added support for dropping files into the project tree view.
  • Completely rewritten disc erase/format code. Improved DVD±RW and DVD-RAM support.
  • Included a Catalan translation, thanks to Josep Lluís Amador Teruel!
  • Included a Galician translation, thanks to Xesús Estévez!
  • Fixed a bug causing InfraRecorder to have invalid window coordinates closed while minimized.
  • Included a Romanian translation, thanks to Nicolae Crefelean!
  • Removed the Visual C++ 8 DLL dependencies from the shell extension.
  • Included a Hungarian translation, thanks to Tibor Sárkány!
  • Included a Hebrew translation, thanks to Shemesh!
  • Included a Danish translation, thanks to Patrick Fust!
  • Fixed a bug causing all internal SCSI commands not to be executed in the x64 build of InfraRecorder.

Version 0.42.1.0

  • The MSI installer used for the x64 release now creates the start-menu shortcuts in a subfolder.
  • Fixed a bug causing InfraRecorder to crash when cdrecord reported recording on a track-number higher than the number of tracks to be recorded.
  • Removed the Visual C++ 8 DLL dependencies from the irWave codec.
  • Fixed a bug causing stack corruption when using the irWMA codec.

Version 0.42.0.0

  • Available as 64-bit (x64) build.
  • Created a completely new Wave codec to remove the libsndfile dependency and add support for the x64 compiler.
  • Modifed the translation system to allow translated controls to automatically resize and move its neightbours when needed.
  • Various changes for Windows Vista compatibility.
  • Modified the WMA codec so it doesn't raise an error message when it fails to load (if Windows Media Player not installed).
  • Included a Japanese translation, thanks to Nardog!
  • Fixed a bug causing DVD media to always be recorded at maximum speed.
  • Included a Korean translation, thanks to Jung Jin-ho!
  • Included a Bulgarian translation, thanks to Iliyan Popov!
  • Separated data DVD from data CD projects.
  • Added support for omiting version numbers from ISO9660 file names.
  • Added support for using Rock Ridge extensions without using the Joliet file name extension.
  • Fixed a bug causing the write speed not to be properly reported on some recorders.
  • Added support for column sorting.
  • Added support for rearranging audio tracks by drag and drop.
  • Included a Serbian (Cyrillic and Latin) translation, thanks to ozzii!
  • Added support for automatically verifying a disc after it has been recorded.
  • Made the labels on the progress dialog double buffered to avoid flickering.
  • Fixed a bug causing the cp1250 code page not to be properly detected on Czech systems.
  • Added support for creating DVD-Video projects.
  • Included a Slovak translation, thanks to Marek!
  • Fixed a bug causing problems when importing certain seasons from multi-session discs.
  • Fixed a bug causing project UDF-settings not to be properly reset when creating a new project.
  • Fixed a bug causing error messages not to be properly displayed when recording custom projects on the fly.
  • Included a Chinese (Traditional) translation, thanks to Charlie!

Version 0.41.0.0

  • Fixed a bug causing the space meter to display inaccurate file sizes on audio files in mixed-mode projects.
  • Due to limitations in the Microsoft Windows 9x Unicode Layer, a non-unicode version of InfraRecorder is released separateley.
  • Added support for disabling the error message that occurs when a codec fails to load.
  • Added support for generating DVD-Video compliant filesystems.
  • Added support for UDF.
  • Added support for creating bootable data discs.
  • Fixed a major bug preventing some projects from beeing properly loaded.
  • Included a Bosnian translation, thanks to Asim Husanovic!
  • Added an option to change the detected write speed of a recorder.
  • Changed the recorder speed management to now allow a larger number of write speeds below the maximum speed.
  • Added write method information to the advanced device details.
  • Fixed a bug causing a wrong character set to be detected on systems using code page 1251.
  • Fixed a bug causing bogus unix file permissions to be set when recording custom projects using the Joliet name extension.
  • Improved the project space meter.
  • Added support for recording custom projects on the fly.
  • Fixed a bug causing a temporary file not to be removed when copying a disc.
  • Added support for disabling the unsupported character set error message.
  • Fixed a bug causing the space meter tooltip to display the size information in bytes instead of minutes when dealing with audio projects.
  • Included a Slovenian translation, thanks to Frani Žižek!
  • Included a Ukrainian translation and manual, thanks to Serhij Dubyk!
  • The advanced device properties list now correctly displays titletip when a feature description is to long to be fully displayed.
  • Fixed a bug causing empty directories to be ignored when creating and recording custom projects.
  • Fixed a bug causing files that has equal characters in the file name to raise an error when creating a disc image.
  • Included a Portuguese (Brazilian) translation, thanks to Éder Silva!
  • Included a Chinese (Simplified) translation, thanks to DouDeHou!
  • Added more read options (ignore read errors, read sub-channel data and TOC, read speed).
  • Added support for disc cloning.
  • Added support for changing the FIFO buffer size.
  • Added support for ISO level 4 which among many thigs allows directory nesting to be deeper than eight levels.

Version 0.40.0.0

  • Included a Czech translation, thanks to khagaroth!
  • Improved DVD-support (official cdrtools has DVD support since version 2.01.01a09).
  • Simulation mode now works when recording to DVDs.
  • Support for blanking DVD+RW media (currently only with Ricoh based drives).
  • The size and position of the main InfraRecorder window is now remembered and restored each startup.
  • Included a Basque translation, thanks to David García-Abad!
  • Added support for encoding audio tracks to Ogg, WMA and MP3 (separate package due to patent issue).
  • Fixed a bug causing the wrong tracks to be displayed when scanning a disc for errors.
  • Added support for decoding MP3, Ogg and WMA audio.
  • Included a German manual, thanks to CE4!
  • Included an Italian translation, thanks to Lorenzo Festa!
  • Fixed bug with message boxes, they should now be modal.
  • Added support for translated manuals.
  • Changed the default simulation value to off.
  • Added an option for changing the temporary folder.
  • Added help documentation on how to make the InfraRecorder installer perform unattended installations.
  • The installer now adds an entry to Add/Remove Programs.
  • Added support for selecting installation language on unattended installations.
  • Included a Russian translation and manual, thanks to Roman Starikh!
  • Included a German translation, thanks to Thomas Bigler!
  • Included a Polish translation, thanks to DJD!
  • Included a Turkish translation, thanks to Fatma Akarslan!
  • Included a Croatian translation, thanks to Tibor Keser!
  • Included a Dutch translation, thanks to Patrick!

Version 0.31.0.0

  • Included a Portuguese translation, thanks to Cesar Baptista!
  • Included a Spanish translation, thanks to Eduardo Leon!
  • Increased the height of all comboboxes in the GUI to prevent unnecessary scrolling.
  • Fixed some GUI glitches causing black and purple backgrounds on some graphics (only affected systems older than Windows XP).
  • Added a tooltip to the space meter which displays the project size.
  • Added support for pasting files from Windows Explorer into a project.
  • Fixed a bug allowing multiple sessions to imported to a project.

Version 0.30.0.83

  • Fixed a bug (static linking to UpdateLayeredWindow in user32.dll) causing incompatibility with Windows 9x systems.

Version 0.30.0.82 (Beta 2)

  • Added DVD support by patching cdrecord (WARNING: Simulation mode is known not to work when burning DVDs).
  • Included a French translation, thanks to Pierre-Jean Coudert!
  • Changed the default write method to SAO because of DVD compatibility.
  • Updated the installer with extra options and multi-language support.
  • Added a couple of new translateable strings for the progress log output.
  • Made some directory layout changes to the CVS.


Installation

InfraRecorder
Installation

The InfraRecorder installer supports different options/parameters for unattended installations. The following parameters can be passed to the installer:

/S
Runs the installer (or uninstaller) silently. All options will be default unless overrided by another parameter to the installer.

/LANGUAGE=<language>
Selects the language that InfraRecorder should use. For example: "irsetup.exe /S /LANGUAGE=swedish" will install InfraRecorder silently with the default language set to Swedish.


Frequently Asked Questions

InfraRecorder
Frequently Asked Questions

For a more up-to-date list of questions and answers, please visit http://infrarecorder.org.

InfraRecorder does not my disc devices, how do I solve this problem?
This is most likely a permission issue. By default InfraRecorder uses an interface called SPTI to access disc devices. On Windows 2000, XP and 2003 systems administrator permissions are required in order to use SPTI.

If you want to allow limited user accounts to access disc devices using SPTI, please do the following when logged in as an administrator:

  1. Navigate "Start" then "Run" in the Windows start-menu.
  2. Type "secpol.msc" without the quotes and press the OK button.
  3. Navigate "Local Policies" then "Security Options" in the tree.
  4. Change "Devices: Restrict CD-ROM access to locally logged-on user only" item from "Disabled" to "Enabled.".

Please note that some versions of Windows (Windows XP home for example) does not have "secpol.msc". If using such a system please do the following instead (while logged in as an administrator):

  1. Navigate "Start" then "Run" in the Windows start-menu.
  2. Type "regedit" without the quotes and press the OK button.
  3. Navigate "HKEY_LOCAL_MACHINE", "SOFTWARE", "Microsoft", "Windows NT", "CurrentVersion" and finally "Winlogon" in the tree
  4. In the selected path, add a string value named "allocatecdroms" with the value "1" (without the quotes). If the string value already exist with the value "0", simply change it to "1".


Getting Started

How to Use?, Working with Projects
Getting Started

This topic will help you get started with your first custom CD project. InfraRecorder currently supports three kinds of projects.

Data Disc projects are used for creating discs that contains files and folders (using the ISO9660 filesystem) that can be used on almost any computer. Data discs does not hold as much data per sector as audio discs due to the fact that data discs also stores addition error-check/correction data. As a result of this, data discs can be recorded in higher speed without necessary loose any quality/data. Data discs can be created in multiple steps, allowing data to be added to existing CDs. See this topic for more information on the subject.

Audio Disc projects are used for creating audio discs that will play in any CD-player (and computer). Audio projects should normally be recorded at lower write speeds than data projects because audio discs does not contain any error-checking/correction data.

Mixed-Mode CD projects are used for creating discs that contains one first data track which shares the features of a Data Disc project followed by a number of audio tracks. A Mixed-Mode CD will play in any CD-player, but the first (data) track will sound like noise. The audio tracks will play as normal.

To create a new project, use the menu:
File [image] New Project [image] <select the type of project that you want to create>
To open an existing project, use the menu:
File [image] Open Project...
or the toolbar button:

InfraRecorder projects can be recorded directly to a physical compact disc or to a disc image. A disc image is a file stored on your computer that contains all the file data that you have added to your project (with exception for audio tracks in Mixed-Mode and Audio projects). A disc image can be recorded at a later time. See this topic for more information.

To record your project to a compact disc, you can use the menu:
Actions [image] Burn Compilation [image] to a Compact Disc...
or the toolbar button:

A detailed description of the recording options can be in this topic.

Environment

General

The Explorer View toolbar is used for navigating the explorer view and for adding files that are selected in the explorer list view to your project.
The Disc Layout toolbar is used for project navigation and management.

File Management

The Edit menu is used for project file management:
The options available from the edit menu (above) are also avaiable for faster access by right-clicking in the project view. For example if your right-click on a folder this menu will appear:
If you add more data to your project than what the selected media can contain, the space meter at the bottom of the view will turn red:
The space meter will turn orange if the amount of data added to the project exceeds the offical size of the media but will probably fit on the media if recorded with overburn enabled:

You can change the space meter size to match the actual size of the blank disc that you will record your project on. To do so, right click on the space meter and select the apropriate media size.

File Management

Add Files

There are many different ways to add files to your project. You can use drag and drop from the Explorer View and from Windows Exlporer. You can also navigate the Explore View and select the files you want to include in your project.

When you have selected the files you want, you can use the menu:
Edit [image] Add [image] Selected
or the toolbar button in the Explorer View toolbar:

You can also use the Explorer View to nagivate to a folder and quickly add all files and folder in that folder to your project.

To add all files and folder in the active Explorer View folder, use the menu:
Edit [image] Add [image] All
or the toolbar button in the Explorer View toolbar:

Remove Files

There are several ways of removing files and folders from your project. One way is to press the delete key on your keyboard. You can also use the menu or the toolbar button.

To remove files using the menu, do the following:
Edit [image] Remove
you can also use the toolbar button in the Disc Layout toolbar:

Other Operations

To rename a file or folder, use the menu:
Edit [image] Rename
or the toolbar button in the Disc Layout toolbar:
To add a new empty folder to your project, use the menu:
Edit [image] New Folder
or the toolbar button in the Disc Layout toolbar:


Multi-Session Disc

How to Use?, Working with Projects
Multi-Session Disc

A multi-session disc is a disc that contains multiple sessions. A multi-session disc can be recorded in multiple steps by recording one session at a time.

Creating New Multi-Session Discs

Creating a new multi-session disc is easy. To create a new multi-session disc, create a new data project:
File [image] New Project [image] Data Disc
Open the project properties:
File [image] Project Properties...
Select the ISO tab and change the Format to:
Mode 2 XA (multisession)

You can now add files and folder to you project as usual. See this topic for more information on how to work with projects.

Continue Multi-Session Discs

To add more data to an existing multi-session disc you must import the existing session data into your project. To do so, use the menu:
Actions [image] Import Session...

A window will popup which allows you to select a device and view how much allocated and free space that is available on the disc. If the OK-button is greyed it means that the disc can not be imported.

When you have selected the device which has the multi-session disc that you want to import inserted. Press the OK-button and the data will be imported into your project. The imported data can not be manipulated or removed from the disc. All imported files and folders are displayed in grey text.

When are done working with the new session and want to add the new data to the disc, either use the menu:
Actions [image] Burn Compilation [image] to a Compact Disc...
or the toolbar button:


Project Settings

How to Use?, Working with Projects
Project Settings
This topic covers the project settings that are accessible from the menu:
File [image] Project Properties...

General Settings

The only general setting that you are able to change is the disc label. The default suggested label is based on the date and time of when the project was created. Please note that the label applies to the same restrictions as general file names in the project (see the ISO Settings section).

ISO Settings

Level

This option sets the ISO conformance level which basicly are different levels of file name restrictions. There are three levels supported in InfraRecorder:

  1. Level 1 uses file names in the 8.3 format (eight characters with a three-character extension), upper case letters, numbers and underscore. The maximum directory depth is eight.
  2. Level 2 allows file names to be up to 31 characters long.
  3. Level 3 allows files to be fragmented (mainly to allow packet writing, or incremental CD recording).
  4. Level 4 does not really exist, but when selected the ISO-9660:1999 (which is ISO-9660 version 2) standard is used. This standard allows file names to be up to 207 characters long and the directory structure may be more than eight levels deep.

Character Set

Defines the character set used in the local file names included in the project. InfraRecorder tries to automatically detect the character set used on your system.

Format

This option specifies the format that should be used when writing your project data to a disc. Mode 1 is normally used when creating regular non multi-session discs while Mode 2 should be used when creating multi-session discs. Mode 1 allows 2048 bytes of data per sector, Mode 2 allows 2336 bytes of data per sector (A CD-ROM sector is 2352 bytes large).

Other Options

The Use Joliet file name extension adds Joliet directory records to the disc in addition to regular ISO9660 file names. The joliet extension is commonly used on Windows systems and allows unicode file names with a maximum length of 64 characters.

If you want to use even longer file names you can enable the Allow more than 64 characters for Joliet names option. This is not fully compatible with the Joliet specification but seems to work. The maximum character length is extended to 103 characters.

Enable the Use Rock Ridge extensions option to generate SUSP and RR records using the Rock Ridge protocol to further describe the files on the iso9660 file system.

The Include UDF support in the generated file system option is self explanatory. UDF support is currently in alpha status, and for this reason it's not possible to generate UDF only filesystems.

The Omit version number from ISO9660 file names option is self explanatory.

Fields

This secion contains options to specify information about the people behind the CD-project. The Publisher, Preparer, System and Volume set fields should be edited directly, the other fields often contains file names due to the limited character length of 36 characters.

Audio Settings

This secion allows you to create CD-Text information. CD-Text is a format supported by some (many?) CD-players that allows track and artist information to be displayed when the CD is playing. These options are available in audio and mixed-mode projects.

Boot Settings

This section is only available on data projects and allows you to specify up to 63 boot images that will be used to create an "El Torito" bootable disc. To add a new boot image to the project, click the Add boot image button:

Boot Catalog

This option specifies the path and filename of the boot catalog to be used when making an "El Torito" bootable disc. The path name should be relative to the root on the disc. The file will be inserted into the output tree and not created in the source filesystem. Please make sure that the specified file name does not conflict with an existing file.


Add Boot Image

How to Use?, Working with Projects
Add Boot Image

There are several options that you may need to configure when adding a boot image to your project.

Local Path

In this field you should specify the local path of the selected boot image. The path is relative to the root folder of the disc. For example: /boot/ will create a folder called boot in the root that contains the file that you have selected.

Emulation Type

This option lets your specify the type of emulation that should be used on the "El Torino" boot disc. If the emulation type is set to Floppy, the boot image must be exactly the size of a 1200, 1440 or 2880 KiB floppy. If the emulation type is set to Harddisk, the boot image must begin with a master boot record that contains a single partition. Using no emulation will cause the system to load and execute the image without performing any disc emulation.

Advanced Options

The Don't make image bootable option allows you to prevent the disc from beeing marked as bootable. The system will provide an emulated drive for the image, but will boot off a standard boot device.

Enabling the Write boot-info-table to the image option will cause the boot image to be patched at offset 8 with a 54-byte table containing information about the disc layout. If this option is enabled the local boot image that you have specified will be patched, so make sure that you have a backup of this file if it can't be easily regenerated.

The Boot load segment option allows you to specify the load segment address (in hexadecimal) for no-emulation "El Torito" discs.

The Boot load size option allows you to specify the number (in hexadecimal) of virtual (512-byte) sectors to load in no-emulation mode. It's usually recommended to load the entire boot file. Some BIOSes may have problems if this size is not a multiple of 4.


Burn Image

How to Use?
Burn Image
To burn/record a disc image, you can either use the menu:
Actions [image] Burn Image...
or the toolbar button:

You will be prompted to select the disc image on your hard drive that you want to record.

Options

A detailed description of the available options can be found in this topic.


Burn Options

How to Use?
Burn Options

This topic covers the burn/recording options that appear on various places in InfraRecorder, for example when you want to burn a custom compilation, a disc image, or copy a disc.

Altough these options are accessable in many different contexts as mentioned above, they are always presented in a similar way:

General Settings

On The Fly

When recording on the fly the file system will be generated while recording which may increase the risk of write errors. If this option is turned off a temporary disc image will first be created on the hard drive and then recorded to the disc. The preffered setting is usally off, it should generally only be enabled when you are low on disc space.

Verify the Disc After Writing

Enabling this option will cause InfraRecorder to perform a CRC comparison between the files on your harddrive and the files on the newly recorded disc to make sure that all files have been written to the disc without any problems.

Write Speed

Select the write speed to use when recording the disc. Selecting the Maximum option will automatically select the highest speed that the recorder is capable of.

Write Method

This option selects what method that you want to use when recording the disc. Only the options that your recorder supports will be available in the combo box.

Session-At-Once (SAO) often refered to as Disc-At-Once (DAO) writes all of the data (including lead-in and lead-out) in one pass. Not allowing any interruptions in the data stream. Additional session/data can not be added at a later time. Please note that DVDs must be written using this method.

Track-At-Once (TAO) writes each track independently which requires link blocks between two tracks. Older recorders often forces a two second pause (pregap) between two tracks whereas newer recorders often can adjust the amount of pregap data (see the option described below).

TAO with zero pregap uses the Track-At-Once method described above and tries to set the pregap data length to zero, reducing the number of link blocks between the tracks to a minimal amount.

Raw writing (raw96r) writes data in raw mode using 2352 byte sectors plus 96 bytes of raw P-W subchannel data resulting in a sector size of 2448 bytes. This is the preferred raw writing mode since it gives the best control over the CD writing process.

Raw writing (raw16) writes data in raw mode using 2352 bytes sectors plus 16 bytes of P-Q subchannel data resulting in a sector size of 2368 bytes. If a recorder does not support the raw96r raw writing mode, this is the preferred raw writing mode. This write method does not support CD-Text.

Raw writine (raw96p) writes data in raw mode using 2352 byte sectors plus 96 bytes of raw P-W subchannel data resulting in a sector size of 2448 bytes. This is the less preferred raw writing mode, mainly because only a very few recorders support it and some of these recorders have bugs in the firmware implementation. Don't use this method if your recorder supports the raw96r or raw16 raw writing method.

Important: Please note that raw write methods requires significantly more CPU-time than the other write methods. If your CPU is too slow you might get problems with buffer underruns.

Other Options

Activating the Simulation option will cause InfraRecorder to perform the selected action but with the recorder's laser turned off. This option is recommended if you are unsure if the operation will succeed or not.

Buffer underrun protection is a feature in most newer recorders which allows the writing process to continue even if a buffer underrun error occurr. This feature often have different names by different vendors, for example: Yamaha Lossless-Link, Sanyo BURN-Proof, Ricoh Just-Link, etc.

The Pad data tracks option will when enabled cause 15 sectors containing zeros to be written after each data track and audio track data to be padded to be a multiple of 2352 bytes. The reason why you might want to enable this option is if your CD-reader has problems reading the last sectors of a track or if you intend to use the disc on a Linux ISO-9660 filesystem with the read ahead bug.

Disabling the Close the disc after writing option will cause the last session (if using SAO mode) or track (if using a TAO mode) not to be closed. This can be usefull if you want to record a CD in multiple steps.

Important: Creating a non-closed disc is not the same as creating a multi-session disc.

Advanced Settings

The Allow overburning option allows you to write more than the official size to a medium. The fact is that most blank media can hold more space than the official size, as the official size of the lead-out area on a disc is 90 seconds (6750 sectors) and a disc usually works if there are at only 150 sectors of lead-out. All media may be overburned by atleast 88 seconds (6600 sectors). Most recorders can only do overburning using the SAO and raw write methods. Some recorders does not allow you to do as much overburning as you would like and limits the size of a disc to certain size. This problem may be circumvented by writing the CD in raw mode because this way the recorder has no chance to find the medium size before starting the recording process.

When the Swap audio byte order option is enabled audio data is assumed to be in byte-swapped (little-endian) order. Some type of recorders for example from Yamaha, Sony and the new SCSI-3/MMC recorders require audio data to be presented in little-endian order, while other recorders require audio data to be presented in big-endian (network) byte order normally used by the SCSI protocoll. The byte order required by your recorder will automatically be detected. The only time you may want to use this option is if your data stream is in Intel (little-endian) order.

Ignore medium size can be enabled when you want to ignore the known size of the medium. It should be used with extreme care. This option implies overburning.

The Set the SCSI IMMED flag option will, as the name suggest set the IMMED flag for certain SCSI commands. Setting the IMMED flag will request the commands to return immediateley while the operation proceeds in the background, making the bus usable for other devices and avoiding a system freeze. This can be usefull on broken system with ATAPI harddisk and CD/DVD-writer or the same bus or with SCSI systems that don't use disconnect/reconnect. These systems will freeze while blanking or closing a disc or while the recorder is filling up a session to the minimum amount. Please note that not all recorders support the IMMED flag.

Yamaha Audio Master Q. R. is a feature which is used to create high quality audio discs that have less reading problems in Hi-Fi players. It is implemented as a variant of the SAO write mode so it will only work if you select the Session-At-Once (SAO) write method. This feature does not work with all writing speeds and does not allow the same amount of data to be written to a disc due to that fact that the pits on the CD will be larger than normal. If this feature is enabled, a 74 minute CD will have the capacity of 63 minutes and a 80 minute CD will have the capacity reduced to 68 minutes. This feature also works with data discs.

The Forcespeed mode option forces the drive to use the selected write speed no matter of the quality of the medium. Normally modern drives know the highest possible speed for different media and may reduce the speed in order to grant the best write quality. This option should be used with caution, the recorder usually knows better which medium to write at full speed.

The Plextor VariRec write mode allows the user to slightly adjust the power of the laser. If configured properly this may reduce the jitter, resulting in better sound quality and increased playability and compatibility with existing CD-players. VariRec only works when the write speed is set to four.


Read Options

How to Use?
Read Options

This topic covers the read options that appear on various places in InfraRecorder, for example when you want to copy a disc either to a disc image or to another disc.

Altough these options are accessable in many different contexts as mentioned above, they are always presented in a similar way:

Read Settings

Ignore read errors

Enabling this option will cause the high level error checking not to abort when errors are found in the data stream. The drive will also be switched into a mode where it ignores read errors in data sectors that are a result of uncorrectable ECC/EDC errors before reading.

Read all sub-channel data and the full TOC

When this option is enabled the disc will be read with all sub-channel data and a full TOC. The full TOC data will be put into a file with similar name to the specified image name but with the suffix .toc.

Read speed

Select the speed to use when reading the disc. Selecting the Maximum option will automatically select the highest speed that the drive is capable of. Only MMC compliant drives will benefit from this option. The speed of non MMC drives is not changed.

Using a lower speed may increase the readability of a disc.


Copy Audio Disc

How to Use?
Copy Audio Disc
Copying an audio disc requires more steps than copying a data disc. First you must save the audio tracks on your hard drive. To do so, open the tracks dialog by:
Actions [image] Manage Tracks...
The windows should look similar to this screenshot when you have selected your source device and inserted an audio disc:
Now select the tracks you want to save (copy) by clicking and holding the shift or control button. When you have selected the tracks press the save tracks button:

You will now be prompted to select a target directory for the tracks. Please go ahead and select a folder of your choice. When you have selected a folder all the tracks that you have selected will be saved there (unless any major read errors occured).

You next step is to create a new audio project and add the tracks you just saved to it. Please read this topic for more information.


Copy Data Disc

How to Use?
Copy Data Disc

Please note that this page contains information on how to copy a data disc. If you want to copy an audio disc (which is an entirely different process) please see this topic.

When you want to copy a data disc you have two main options which is if you want to copy the disc directly to another drive (for example from a CD-reader to a CD-recorder) or to a disc image on your hard drive.

Copy to a Compact Disc

To copy a disc directly to another drive, use the menu:
Actions [image] Copy Disc [image] to a Compact Disc...
or the toolbar button:

Source

Select the source drive which contains the compact disc that you want to make a copy of.

Target

Select the target drive which contains the empty compact disc that you want to write the copy to. Please note that the target drive can not be the same as the source drive.

On The Fly

Writing on the fly means that the data will be read from the source drive and then directly written to the target (recorder) without any buffering on your hard drive (only a relatively small memory buffer is used). If your source drive would fail to read some sectors on the source disc it might not be able to supply the target (recorder) with data fast enough, resulting in write errors on the target disc. However most new recorder offer some kind of buffer underrun protection technology that should protect the targe disc if this event occurs.

When the On the fly option is disabled a temporary disc image will first be created on your hard drive. The disc image will then be written to the target drive. Using this option requires more free disc space on your hard drive but is recommended in most cases.

Clone Disc

When this option is enabled all sub-channel data and the full TOC on the source disc will also be copied to the target disc. This option must be enabled when copying a mixed-mode disc, otherwise only the data track will be copied. It's recommended that your record the target disc using the raw96r write method. If that method is not supported by your recorder, please try the raw16 write method.

Read Options

The read options are described in this topic.

Other Options

The other options are described in this topic.

Copy to a Disc Image

To copy a disc to a disc image on the hard drive, use the menu:
Actions [image] Copy Disc [image] to a Disc Image...

Source

Select the source drive which contains the compact disc that you want to make a copy of.

Image File

Select the location and name of the disc image. Please note that you will approximateley need the same amount of size avaiable on your hard drive as the compact disc contains.

Read Options

The read options are described in this topic.


Disc Information

How to Use?
Disc Information
To view detailed information about a disc, please use the menu:
Actions [image] Disc Information [image] <select the drive containing the disc that you're interested in>

Field Information

The Disc type field displays what type of disc that is inserted in the drive. For example: CD-R, DVD+R DL.

The Book type field is only valid on DVD discs and displays of what book type the DVD is.

The Region field displays what region encoding the DVD has. The region number can be resolved into the following regions:

  1. United States of America, Canada.
  2. Europe, including France, Greece, Turkey, Egypt, Arabia, Japan and South Africa.
  3. Korea, Thailand, Vietnam, Borneo and Indonesia.
  4. Australia and New Zealand, Mexico, the Caribbean, and South America.
  5. India, Africa, Russia and former USSR countries.
  6. Peoples Republic of China.
  7. Unused.
  8. Airlines and cruise ships.
  9. Expansion (often used as region free).

The Layers field displays the number of layers on the disc.

The Tracks field displays the number of tracks on the disc.

The Sessions field displays the number of sessions on the disc.

The Status field displays information about the disc and session status as well as information on if the disc is erasable or not.

The Used space field displays the amount of used space on the disc.

The Free space field displays the amount of free space on the disc.


Erase Disc

How to Use?
Erase Disc
To erase a rewritable disc, you can either use the menu:
Actions [image] Erase Rewritable Disc...
or the toolbar button:

Recorder

Please select the recorder that you want to use for erasing the disc.

Erase Method

Select one of the four erase methods to use. The Erase the entire disc method will destroy all data on the disc. This operation may take a long time. Using the Minimally erase the disc method will only cause the table of contents (TOC), PMA and pregap to be erased. Basicly the actual data is never erased from the disc (it will not be accessible), the data will instead be overwritten when you write to the disc the next time. This method is very fast can can often be done in about 10 seconds. The Unclose last session method uncloses the last session (on a closed multi-session disc) allowing more sessions to be added to the disc. The last method Erase last session will simply just erase the last session on the disc. This may take long or short time depending on the size of the session.

Other Options

If the table of contents (TOC) for some reason has been damaged on a disc, InfraRecorder will not erase the disc unless the Ignore illegal TOC option is set.

Activating the Simulation option will cause InfraRecorder to perform the selected action but with the recorder's laser turned off. This option is recommended if you are unsure if the operation will succeed or not.


Close Disc

How to Use?
Close Disc
A closed disc is a disc that is considered to be finished. Normally a disc is automatically closed after recording data. This tool is useful if data has been written but the disc for some reason hasn't been closed. To close a disc, use the menu:
Actions [image] Close Disc...

Recorder

Please select the recorder that contains the disc that you want to close.

Other Options

Activating the Simulation option will cause InfraRecorder to perform the selected action but with the recorder's laser turned off. This option is recommended if you are unsure if the operation will succeed or not.


Manage Tracks

How to Use?
Manage Tracks
The Manage Tracks tool displays table of contents (TOC) information about a certain disc. It does also offer tools to save and verify selected tracks. To open the track manager, use the menu:
Actions [image] Manage Tracks...

Select the tracks that you want to work with by clicking the mouse while pressing the shift or control key. You can also use the keyboard arrows to navigate and select in the track list.

When you save tracks to your hard drive you will be prompted to select a target directory. The tracks will then automatically be saved and named by their track number and type (Track 1.wav, Track 2.iso). To save the selected tracks to you hard drive, press the save tracks button:
To scan the selected tracks for errors, use the verify tracks button:

Screenshots

The result after verifying a data track:


Device Configuration

How to Use?
Device Configuration
If you have many any changes in your hardware configuration you probably want to make InfraRecorder aware of the changes. To display the InfraRecorder device configuration, use the menu:
Options [image] Devices...

You will now see a list of devices that have been detected by InfraRecorder. If you want to update the configuration, press the Rescan button. This will cause InfraRecorder to perform a full system scan gather information about all supported devices.

If you want InfraRecorder to silently validate the configuration everytime you start it, enable the Silently validate the configuration at startup option.


Configuration

How to Use?
Configuration
To access the InfraRecorder configuration, use the menu:
Options [image] Configuration...

General Settings

The Check if autorun is enabled on each startup option specifies whether you want InfraRecorder to check if autorun enabled on each startup or not. It is recommended that autorun is turned of because leaving autorun enabled causes Windows to poll the CD drive while recording, which might damage your CD.

If you want InfraRecorder to remember the last active folder in the Explorer View you should check the Remember the last active folder option. You can also specify a folder on your own that will be the default every time InfraRecorder starts.

The Temporary folder option lets you specify which folder that should be used when temporarily storing files on your harddrive, for example disc images. If your harddrive/partition (which stores the temporary folder) is almost full it can be a good idea to use a temporary folder on another drive.

Advanced Settings

If you want to enable the log feature of InfraRecorder, enable the Enable program log option. This can be usefull when trying to locate a possible bug/error in InfraRecorder. It's not recommended that you enable log support if you do not intend to log a special event because InfraRecorder requires more memory and CPU-time when the log support is enabled.

The Enable smoke effect option enables or disables the smoke effect displayed during writing processes. The smoke effect requires Windows Vista Aero to be enabled. If Aero is not enabled this option will have no effect.

The FIFO buffer size option lets you specify the size of the RAM buffer that is used in addition to your recorders physical buffer. Icreasing the buffer size may result in a more stable recording process. As a rule of thumb, the FIFO size should be at least equal to the size of the pysical buffer of the CD/DVD-Recorder and no more than half of the physical amount of RAM available in the machine. If you often record discs on-the-fly, this buffer should be large (for example 128 MiB) to prevent buffer underruns.

Language Settings

A list of available languages are displayed in the combo box. To change language, simply select the language you want in the combo box, click the OK-button and restart InfraRecorder. If your language is not available, check the InfraRecorder website to see if a translation in your language exists.

Shell Extension

The shell extension (when enabled) adds additional menu entries to the shell context menu:

It adds the options to record disc images and InfraRecorder projects just by right-clicking on them.

The shell extension can be customized to display the items in a submenu. To display the context menu items in a submenu enable the Display context menu items in a submenu option.

It can also be customized to not display icons on the menu items by disabling the Display menu item icons option.

Register the Shell Extension

The shell extension does not work automatically with disc images and InfraRecorder projects. When enabling the Enalbe InfraRecorder shell extension, InfraRecorder tells Windows Explorer that it offer other applications to use it's extended features.

To make Windows Explorer use the additional features supplied by the InfraRecorder shell extension, the shell extension must be registered with the file types that should be able to use the extra features.

There are a set of predefined file extensions available in the list. To associate the InfraRecorder shell extension with a file type, just check the item in the list view. You can add any additional file types to the list by pressing the Add file extension button: